<ng-container *subscribe="declineIndicatorMutation.result$ as indicator">
  <ngx-loading [show]="indicator.isLoading" />
</ng-container>

<ng-container *ngIf="vm$ | async as vm">
  <jds-bi-modal
    id="e-walidata-modal-assign-decline"
    #modal
    [position]="'center'"
    size="xl"
  >
    <ng-container ngProjectAs="header">
      <div [ngClass]="[jds.d('flex'), jds.alignItems('center')]">
        <h6>Tolak Uraian</h6>
        <span
          [ngClass]="[jds.py(0), jds.px(5.5), jds.ms(8)]"
          [colorScheme]="colorScheme"
          jdsBiBadge
        >
          {{ vm.selectedIndicator.length }}
        </span>
      </div>
      <button
        class="t-button-close"
        (click)="closeModal()"
        role="button"
        type="button"
      >
        <jds-bi-icon
          [size]="14"
          name="xmark"
        />
      </button>
    </ng-container>
    <ng-container ngProjectAs="body">
      <form
        class="form"
        #eWalidataAssignmentForm="ngForm"
        [formGroup]="formGroup"
        (ngSubmit)="onSubmit()"
        (keydown.enter)="$event.stopPropagation()"
      >
        <jds-bi-scrollbar [ngClass]="[jds.maxH(500)]">
          <div [ngClass]="[jds.card]">
            <div
              [ngClass]="[
                jds.cardBody,
                jds.bg(jdsBiColor.gray['50']),
                jds.p(16)
              ]"
            >
              <div
                *ngFor="let dbf of fdbf.controls; let last = last"
                [ngClass]="[!last ? jds.mb(24) : '']"
              >
                <ng-container [formGroup]="dbf">
                  <div
                    [ngClass]="[
                      jds.fw('bold'),
                      jds.text(jdsBiColor.blue['700']),
                      jds.mb(8)
                    ]"
                  >
                    {{ dbf.controls['name'].value }}
                  </div>

                  <div [ngClass]="[jds.d('flex'), jds.gap(8), jds.w('full')]">
                    <div [style.width.%]="35">
                      <label [ngClass]="jds.formLabel"> Uraian </label>
                    </div>
                    <div [style.width.%]="20">
                      <label [ngClass]="jds.formLabel"> Tindakan </label>
                    </div>
                    <div [style.width.%]="45">
                      <label [ngClass]="jds.formLabel"> Alasan </label>
                    </div>
                  </div>

                  <div
                    *ngFor="
                      let di of dbf.controls['indicator'].controls;
                      let last = last
                    "
                    [ngClass]="[jds.card, !last ? jds.mb(8) : '']"
                  >
                    <ng-container [formGroup]="di">
                      <div [ngClass]="[jds.cardBody, jds.p(16)]">
                        <div
                          [ngClass]="[jds.d('flex'), jds.gap(8), jds.w('full')]"
                        >
                          <div [style.width.%]="35">
                            <div [ngClass]="[jds.fw('bold')]">
                              {{ di.controls['code'].value }}
                            </div>
                            <div>
                              {{ di.controls['name'].value }}
                            </div>
                          </div>
                          <div [style.width.%]="20">
                            <div *ngrxLet="di.controls['action']; let diAction">
                              <ng-select
                                #actionSelect
                                [items]="statusAssignment"
                                bindValue="value"
                                bindLabel="label"
                                placeholder="Pilih"
                                formControlName="action"
                              />
                              <ng-container
                                *ngIf="
                                  diAction?.invalid &&
                                  (diAction?.dirty || diAction?.touched)
                                "
                              >
                                <div
                                  *ngIf="diAction?.errors.required"
                                  [ngClass]="[jds.formText, jds.text('danger')]"
                                >
                                  Harus diisi
                                </div>
                              </ng-container>
                            </div>
                          </div>
                          <div [style.width.%]="45">
                            <div *ngrxLet="di.controls['note']; let diNote">
                              <textarea
                                [colorScheme]="colorScheme"
                                jdsBiInput
                                placeholder="Tuliskan alasan (maksimal 50 karakter)"
                                rows="4"
                                formControlName="note"
                              ></textarea>
                              <ng-container
                                *ngIf="
                                  diNote?.invalid &&
                                  (diNote?.dirty || diNote?.touched)
                                "
                              >
                                <div
                                  *ngIf="diNote?.errors.required"
                                  [ngClass]="[jds.formText, jds.text('danger')]"
                                >
                                  Harus diisi
                                </div>
                              </ng-container>
                            </div>
                          </div>
                        </div>
                      </div>
                    </ng-container>
                  </div>
                </ng-container>
              </div>
            </div>
          </div>
        </jds-bi-scrollbar>
      </form>
    </ng-container>
    <ng-container ngProjectAs="footer">
      <div
        [ngClass]="[jds.d('flex')]"
        [style.gap.px]="8"
      >
        <button
          [colorScheme]="'gray'"
          [variant]="'outline'"
          (click)="closeModal()"
          jdsBiButton
          type="button"
        >
          Batal
        </button>
        <button
          [colorScheme]="colorScheme"
          [disabled]="!eWalidataAssignmentForm.valid"
          (click)="eWalidataAssignmentForm.ngSubmit.emit('Save')"
          jdsBiButton
          type="submit"
        >
          Kirim
        </button>
      </div>
    </ng-container>
  </jds-bi-modal>
</ng-container>
